明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 270|回复: 8

[提问] 各位大神看下 这个画线的程序 我想给他加上图层为 花坛名称如何弄

[复制链接]
发表于 2020-7-30 09:24 | 显示全部楼层 |阅读模式
(defun c:60x(/ BAK_CECOLOR BAK_WIDTH P P0)
  (if (setq p0(getpoint "\n指定第一点: "))
    (progn
      (setq bak_width(getvar "PLINEWID"))
      (setq bak_cecolor(getvar 'cecolor))
      (setvar 'cecolor "211")
      (setvar "PLINEWID" 60)
      (setvar "cmdecho" 0)
      (command "pline" p0)
      (while(setq p(getpoint p0 "\r指定下一点: "))
        (command p)
        (setq p0 p)
        )
      (command "")
      (and bak_width (setvar "PLINEWID" bak_width))
      (and bak_cecolor (setvar 'cecolor bak_cecolor))
      (setvar "cmdecho" 1)
      )
    )
  (princ)
  )

发表于 2020-7-30 12:07 | 显示全部楼层
(command "") 后面加  (command "change" (entlast) "" "p" "la" "花坛名称" "")
 楼主| 发表于 2020-7-30 14:24 | 显示全部楼层
start4444 发表于 2020-7-30 12:07
(command "") 后面加  (command "change" (entlast) "" "p" "la" "花坛名称" "")

你好我改了后好像不是图层的花坛线
 楼主| 发表于 2020-7-30 14:28 | 显示全部楼层
start4444 发表于 2020-7-30 12:07
(command "") 后面加  (command "change" (entlast) "" "p" "la" "花坛名称" "")

原来图层没有的 我希望画的时候新建图层
发表于 2020-7-30 15:26 | 显示全部楼层
[code="lisp] (defun c:60x(/ BAK_CECOLOR BAK_WIDTH P P0)
  (if (setq p0(getpoint "\n指定第一点: "))
    (progn
      (setq bak_width(getvar "PLINEWID"))
      (setq bak_cecolor(getvar 'cecolor))
      (setvar 'cecolor "211")
      (setvar "PLINEWID" 60)
      (setvar "cmdecho" 0)
      (command "pline" p0)
      (while(setq p(getpoint p0 "\r指定下一点: "))
        (command p)
        (setq p0 p)
                        )
      (command "")
      (and bak_width (setvar "PLINEWID" bak_width))
      (and bak_cecolor (setvar 'cecolor bak_cecolor))
                        (if (tblsearch "layer" "花坛名称") "" (command "layer" "New" "花坛名称" ""))
                        (command "change" (entlast) "" "P" "la" "花坛名称" "")
      (setvar "cmdecho" 1)
                )
        )
  (princ)
)[/code]
 楼主| 发表于 2020-7-30 16:32 | 显示全部楼层

你好能不能把图层颜色设置为前面设置前来的线的颜色啊
发表于 2020-7-30 18:47 | 显示全部楼层
664571221 发表于 2020-7-30 16:32
你好能不能把图层颜色设置为前面设置前来的线的颜色啊

实在没看懂你在说什么
 楼主| 发表于 2020-7-31 08:37 | 显示全部楼层
Sonnenblumen 发表于 2020-7-30 18:47
实在没看懂你在说什么

你好前面不是把线颜色设置为211了,就是新建的这个画坛的图层的颜色也设置为211
发表于 2020-7-31 09:28 | 显示全部楼层
664571221 发表于 2020-7-31 08:37
你好前面不是把线颜色设置为211了,就是新建的这个画坛的图层的颜色也设置为211

(command "layer" "New" "花坛名称" "C" "211" "花坛名称" "")
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-8-13 02:31 , Processed in 0.148819 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表